<div class="flex flex-col h-screen">
  <mat-card class="flex-none h-fit w-96 m-auto justify-between mat-elevation-z2">
    <mat-card-header class="justify-center m-4">
      <mat-card-title i18n="@@setPassword">Set Password</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form>
        <mat-form-field class="w-full">
          <input [disabled]="isFormDisabled" [type]="isNewPwHidden ? 'password' : 'text'" [(ngModel)]="newPassword"
            autocomplete="new-password" matInput i18n-placeholder="@@password" placeholder="Password" name="newPassword"
            required>
          <mat-icon matSuffix (click)="isNewPwHidden = !isNewPwHidden">{{isNewPwHidden ? 'visibility_off' :
            'visibility'}}</mat-icon>
        </mat-form-field>
        <mat-form-field class="w-full">
          <input [disabled]="isFormDisabled" [type]="isRepeatPwHidden ? 'password' : 'text'"
            [(ngModel)]="repeatPassword" autocomplete="new-password" matInput i18n-placeholder="@@password"
            placeholder="Confirm Password" name="repeatPassword" required>
          <mat-icon matSuffix (click)="isRepeatPwHidden = !isRepeatPwHidden">{{isRepeatPwHidden ? 'visibility_off' :
            'visibility'}}</mat-icon>
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-footer class="flex flex-col justify-between m-4">
      <app-password-requirement></app-password-requirement>
    </mat-card-footer>
    <mat-card-actions class="flex flex-col justify-between m-4">
      <div class="flex flex-row justify-between">
        <button type="submit" mat-raised-button color="primary" i18n="@@update"
          [disabled]="isFormDisabled" (click)="onSubmit()">Update</button>
      </div>
    </mat-card-actions>
  </mat-card>
</div>
